// CFESTitle - [2020-04-13 11:57:46]
#ifndef _CFESTITLE_H_
#define _CFESTITLE_H_

#include "common.h"
#include "CFEScreen.h"

/*
0013188C CFESTitle::CFESTitle()
001318A4 CFESTitle::~CFESTitle()
001318A8 CFESTitle::~CFESTitle()
001318B8 CFESTitle::Init()
001318E4 CFESTitle::LowMemoryCheckCB(int,void *)
0013193C CFESTitle::Process()
001319E4 CFESTitle::Render2D()
00131AAC CFESTitle::RenderSplash()

00153348 _ZN3CFE9NewScreenEi

//0x20

vptr_CFESTitle_32237C:
  CFESTitle::~CFESTitle()
  CFESTitle::~CFESTitle()
  CFESTitle::Init()
  CFESTitle::Process()
  CFESTitle::Render2D()
  CFEScreen::Render2DHUD()
  CFEScreen::PreRender3D()
  CFEScreen::Render3D()
  CFEScreen::Exit()
*/

class CFESTitle : public CFEScreen {
public:
  CFESTitle();                                // 0013188C
  virtual ~CFESTitle();                       // 001318A4 001318A8
  virtual void Init();                        // 001318B8
  static void LowMemoryCheckCB(int, void *);  // 001318E4
  virtual void Process();                     // 0013193C
  virtual void Render2D();                    // 001319E4
  void RenderSplash();                        // 00131AAC

  static bool ms_bWaitForRequest;

  int field_10;
  int field_14;
  uint dTick_18;
  bool bool_1C;
};

#endif  //_CFESTITLE_H_